Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233133 - The installer forces text mode on a HP 6400
Summary: The installer forces text mode on a HP 6400
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-vesa
Version: 5.0
Hardware: i386
OS: Linux
urgent
urgent
Target Milestone: ---
: ---
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-20 16:13 UTC by David A. Houston
Modified: 2007-11-30 22:07 UTC (History)
7 users (show)

Fixed In Version: RHBA-2007-0581
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 17:29:10 UTC


Attachments (Terms of Use)
vesa-1.3.0-range-hack.patch (deleted)
2007-04-13 19:16 UTC, Adam Jackson
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0581 normal SHIPPED_LIVE xorg-x11-drv-vesa bug fix update 2007-10-30 23:00:38 UTC

Description David A. Houston 2007-03-20 16:13:25 UTC
Description of problem: 

During the first install of RHEL5 Client (beta release), anaconda was having
problems detecting the LCD on an HP NC6400. After further evaluation into the
xorg.conf file it revealed that the "Monitor" section was missing. This caused a
forced a text-mode install.  When the monitor section was added back to the
xorg.conf file the graphical desktop started working.


The hardware is an NC6400 Notebook T2500 2Ghz 14" WXGA  RA253AW NC6400 2Ghz    
                Intel® Duo processor T2500 (2GHz, 667-MHz FSB, 2-MB cache)     
               
                1Gb 667MHz (2 x 512Mb) SDRAM (Add EM993A)                      
                ATI Radeon x1300 Video, 64Mb VRAM                      
                60GB (5400 RPM) Drive, MultiBay II DVD/CDRW Combo drive        
               
                14.1" TFT WXGA with (1280 x 800) resolution                    
                6 Cell Li-Ion Battery, AC Adapter (no Floppy)                  
                3 USB 2.0, 1 KBD/Mouse, 1 S-Video                      
                1.1" H (at front) x 13" W x 9.4" D (4.6 to 5 Lbs)       
Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:

1.Insert Rhel 5 cd


  
Actual results:
The installer forces text mode.

Expected results:

To install Rhel 5 from distribution without adding any extra comments to the
configuration file.


Additional info:

Comment 1 Chris Lumens 2007-03-20 16:25:50 UTC
We're not including monitor sections anymore on purpose - we're using X's
autoconfiguration code to handle all this stuff for us.  If you encounter a
situation where adding a monitor section is required, then it's a problem with
how X is setting itself up.  Reassigning.

Comment 3 RHEL Product and Program Management 2007-03-21 21:44:40 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Ronald Pacheco 2007-04-06 12:57:03 UTC
Ajax,

Can you post the patch you created?

Comment 5 Adam Jackson 2007-04-13 19:16:19 UTC
Created attachment 152577 [details]
vesa-1.3.0-range-hack.patch

Backport from rawhide.

Comment 6 Ronald Pacheco 2007-05-07 20:30:18 UTC
Zack,

David Houston hs the alptp back.  I trust that he can test the beta when it is
made available.

Comment 7 Ronald Pacheco 2007-05-07 20:30:47 UTC
Zack,

David Houston has the laptop back.  I trust that he can test the beta when it is
made available.

Comment 8 Adam Jackson 2007-06-04 19:40:33 UTC
Built xorg-x11-drv-vesa 1.3.0-8.1.el5.  ->MODIFIED.

This is essentially a backport of slightly-post-F7 vesa driver, but all changes
between then and now are relevant to this bug.

Comment 11 Tim Reilly 2007-09-21 16:21:44 UTC
Does QA have this laptop somewhere?

Comment 12 Ronald Pacheco 2007-09-21 16:43:57 UTC
Tim,

You'll have to ping Dave Houston and see if he can be off assistance.  He has
the only one that I am personally aware of.

Comment 17 errata-xmlrpc 2007-11-07 17:29:10 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0581.html



Note You need to log in before you can comment on or make changes to this bug.